[Overview][Constants][Types][Classes][Index] | Reference for unit 'fpjson' (#fcl)

# TJSONData.Items

Indexed access to sub-items

## Declaration

Source position: fpjson.pp line 103

`public property TJSONData.Items : TJSONData read GetItem write SetItem;`

## Description

Items allows indexed access to the sub-items of this data. The Index is 0-based, and runs from 0 to Count-1. For simple data types, this function always returns Nil, the complex data type descendents (TJSONArray and TJSONObject) override this method to return the Index-th element in the list.

## See also

Count
TJSONArray |  | Class of TJSONArray
TJSONObject |  | Class of TJSONObject

Documentation generated on: Feb 26 2014